2018-04-09 18:29:12 zfz495121426 阅读数 13123
  • iOS开发-全面解析iOS蓝牙BLE4.0开发

    只要你会OC基础,会写HelloWorld,你就可以实现iOS的蓝牙通信功能,实现蓝牙小项目也不在话下,作者会带领大家详细分析BLE4.0原理,通过分析xcode使用的蓝牙API,让学者能够得心应手的实现蓝牙BLE4.0的开发

    3672 人正在学习 去看看 许英俊

     最近看到很多朋友在寻找iOS 11、12真机测试包,所以特意做了一个整理,希望可以帮到那些暂时没有升级Xcode至最新版本的同学们,

1.百度网盘链接: https://pan.baidu.com/s/1lnkF_G3UiD8u3b2N0TUSug 密码: h6q9

2.xcode真机调试包路径:点击finder,然后快捷键command + shift + G 前往文件夹路径 /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 将更新包解压进去即可。

2018-01-09 00:59:25 gmr2453929471 阅读数 2401
  • iOS开发-全面解析iOS蓝牙BLE4.0开发

    只要你会OC基础,会写HelloWorld,你就可以实现iOS的蓝牙通信功能,实现蓝牙小项目也不在话下,作者会带领大家详细分析BLE4.0原理,通过分析xcode使用的蓝牙API,让学者能够得心应手的实现蓝牙BLE4.0的开发

    3672 人正在学习 去看看 许英俊

最近微信跳一跳很火,然后有大神出了python替你玩版本,觉得很有趣,就想试试。

然后大神这个工具是基于测试框架WDA的,然后其中最基础最基础的一步,就是你的xcode能够运行真机测试。

我的xcode版本是7.2,然后iphone版本是11.2.1 (15c153)

我从网上下了一个11.2的15c107的真机测试包,然后按照很多很多博客说的,直接把这个放到 

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport 这个目录下,如下图所示(图中是我的8.3.3版本哈~)。


然后我再进xcode,发现不行,识别不出来,如下图所示,那个Deployment Target没有我需要的11.2,最高只有xcode自带的那个9.2,并且手机也是unavailable状态。


然后我觉得是不是光放到DeviceSupport文件夹下不够,还需要修改一些诸如Info.plist,  version.plist这样的配置文件,于是我又打开文件,将有9.2的地方统统改成11.2,将有13C75的地方统统改成15C107,然后再重启Xcode,发现能识别iphone了,但是编译报错。。。。。


网上真的查了很多很多资料,但是没有什么是教你如何修改plist文件的。。。。


忙了两天,各种修改xcode配置文件,改到xcode都打不开,当时我就绝望了。。。。


没办法,想着重新安装个xcode版本吧。网上一搜,发现9.x不太好,有bug,于是选择了8.3.3版本。你懂的,下xcode真的超级超级蛋疼,好不容易下好了,一装发现,我的mac OS系统版本不够,因为我是Captain。。。。因为之前升级到Captain的时候,我的开发环境之类的就出了好多错,尤其是python、pip,不加sudo根本安装不了,于是我是那种能不更新就不更新的类型。


我又去网上搜了下,升级到Sierra报错的也有不少,我表示很方。。。。


但是我tm搞了两天了,什么结果都没有,不可能在这个节骨眼上放弃吧,于是没办法只能更新到Sierra。


更新好了,xcode8.3.3也装好了,但是我也不知道能不能成,忐忐忑忑一步步来吧。

我就把之前下的那个真机测试支持包11.2(15c107)直接放到DeviceSupport文件夹下,然后开启了xcode。


先去window->device下检查,嗯~发现能识别我的手机啊~~~


然后还是去看deployment target,还是没有11.2,最高的是10.3。

但是!!!

能在我的手机上跑!!!我的Deployment Target选的是10.3!!!


真的要感动哭了~



总结:

1. 虽然我是11.2.1 (15c153),但是15c107的支持包照样能跑。

2. 啥plist都不用改,直接放到DeviceSupport完事。

3. 还是得靠xcode8.3,我真的应该早点更新xcode,及时下载非常蛋疼。









2016-09-22 17:08:11 wangxiaoertedaye 阅读数 4431
  • iOS开发-全面解析iOS蓝牙BLE4.0开发

    只要你会OC基础,会写HelloWorld,你就可以实现iOS的蓝牙通信功能,实现蓝牙小项目也不在话下,作者会带领大家详细分析BLE4.0原理,通过分析xcode使用的蓝牙API,让学者能够得心应手的实现蓝牙BLE4.0的开发

    3672 人正在学习 去看看 许英俊

是否还为boss 手机系统升级Xcode不支持烦恼呢,下面讲一种不用升级Xcode一样可以在任何版本的手机上真机

1.下载相应版本(同手机系统版本一直)的配置文件

2.command+shift+G 进入下面的路径中

/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

3.把下载好的配置文件放入进去 就OK了

4.附上下载地址

9.2 http://download.csdn.net/detail/wangxiaoertedaye/9637193

9.3 http://download.csdn.net/detail/wangxiaoertedaye/9637185

10.0 http://download.csdn.net/detail/wangxiaoertedaye/9637174

10.1 http://download.csdn.net/detail/wangxiaoertedaye/9680331

10.2 http://download.csdn.net/detail/wangxiaoertedaye/9861015

10.3 http://download.csdn.net/detail/wangxiaoertedaye/9861023

11.0 http://download.csdn.net/download/wangxiaoertedaye/10168187

11.1 http://download.csdn.net/download/wangxiaoertedaye/10168189

11.2 https://download.csdn.net/download/wangxiaoertedaye/10561385

11.3 https://download.csdn.net/download/wangxiaoertedaye/10561424

11.4 https://download.csdn.net/download/wangxiaoertedaye/10561431

12.0 https://download.csdn.net/download/wangxiaoertedaye/11164250

12.1 https://download.csdn.net/download/wangxiaoertedaye/11164254

12.2 https://download.csdn.net/download/wangxiaoertedaye/11164262

 

2017-04-07 09:22:40 royal_mjz 阅读数 5024
  • iOS开发-全面解析iOS蓝牙BLE4.0开发

    只要你会OC基础,会写HelloWorld,你就可以实现iOS的蓝牙通信功能,实现蓝牙小项目也不在话下,作者会带领大家详细分析BLE4.0原理,通过分析xcode使用的蓝牙API,让学者能够得心应手的实现蓝牙BLE4.0的开发

    3672 人正在学习 去看看 许英俊

真机测试时提示Could not find Developer Disk Image.

这该怎么办

这是由于真机系统过高或者过低,Xcode中没有匹配的配置包文件,我们可以通过这个路径进入配置包的存放目录:
/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

将需要的配置包加入到这个文件夹来解决问题。

/DeviceSupport文件夹

我的网盘里有iOS4.2到11.2的配置包文件,提取密码srur,大家各取所需。

/网盘部分截图


O(∩_∩)O


2018-06-19 10:43:55 yanyanforest 阅读数 2473
  • iOS开发-全面解析iOS蓝牙BLE4.0开发

    只要你会OC基础,会写HelloWorld,你就可以实现iOS的蓝牙通信功能,实现蓝牙小项目也不在话下,作者会带领大家详细分析BLE4.0原理,通过分析xcode使用的蓝牙API,让学者能够得心应手的实现蓝牙BLE4.0的开发

    3672 人正在学习 去看看 许英俊

让Xcode(Version 9.3.1 (9E501))支持iOS11.4 Beta设备真机测试,
解压之后直接把11.4 (15F79)文件夹拖到下面的文件夹中即可
支持包的位置位于:
Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

资源下载地址: https://download.csdn.net/download/yanyanforest/10485440
做完上面的工作,然后退出Xcode,重新启动,即可。

没有更多推荐了,返回首页